php version

Need help installing Joomla! 3.x? For all Joomla! 3.x installation issues please use this forum.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Post Reply
borja
Joomla! Explorer
Joomla! Explorer
Posts: 483
Joined: Wed May 27, 2009 11:26 am

php version

Post by borja » Sun Oct 14, 2018 11:40 am

Hello

I tried to update my php version I´ve got this error. No w I´m in 5.6 and I would like to use 7.x because 5.6 is and old version.

mod_fcgid: stderr: PHP Fatal error: Cannot use Joomla\\String\\String as String because 'String' is a special class name in /var/www/vhosts/web/httpdocs/web/libraries/vendor/joomla/registry/src/Format/Json.php on line 12

SharkyKZ
Joomla! Ace
Joomla! Ace
Posts: 1260
Joined: Fri Jul 05, 2013 10:35 am
Location: Unknown

Re: php version

Post by SharkyKZ » Sun Oct 14, 2018 11:48 am

Update Joomla first.

User avatar
JAVesey
Joomla! Ace
Joomla! Ace
Posts: 1837
Joined: Tue May 14, 2013 1:21 pm
Location: Cardiff, Wales, UK
Contact:

Re: php version

Post by JAVesey » Sun Oct 14, 2018 12:13 pm

SharkyKZ wrote:
Sun Oct 14, 2018 11:48 am
Update Joomla first.
And all your 3rd-party extensions, too. Remember that some don't use the Joomla Update Notification system so you'll have to check manually.

Keeping Joomla and extensions up to date should be a site maintenance priority.
John V
Cardiff, Wales, UK
Uses Joomla 3.9.0

User avatar
occultfish
Joomla! Apprentice
Joomla! Apprentice
Posts: 48
Joined: Tue Jun 11, 2013 8:07 pm
Contact:

Re: php version

Post by occultfish » Mon Oct 15, 2018 2:54 pm

Well, upgrading to 7.x can depreciate any old code that is incompatible. You want to check your entire server (plugins, modules, components , etc) for foreward compatibility with 7.x . It is also advisable to upgrade to the latest version of joomla prior to upgrading your server.

Thanks

User avatar
JAVesey
Joomla! Ace
Joomla! Ace
Posts: 1837
Joined: Tue May 14, 2013 1:21 pm
Location: Cardiff, Wales, UK
Contact:

Re: php version

Post by JAVesey » Sun Oct 21, 2018 5:24 pm

occultfish wrote:
Mon Oct 15, 2018 2:54 pm
Well, upgrading to 7.x can depreciate any old code that is incompatible. You want to check your entire server (plugins, modules, components , etc) for foreward compatibility with 7.x . It is also advisable to upgrade to the latest version of joomla prior to upgrading your server.

Thanks
I believe the two previous posts said this. Trying to get your post-count up? ;)
John V
Cardiff, Wales, UK
Uses Joomla 3.9.0


Post Reply

Return to “Installation Joomla! 3.x”